Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class Topic

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.Topic

    public class Topic
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String[]` | `commPrefix` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Topic()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCategoryId()` |
  `int` | `getChargeId()` |
  `int` | `getComm()` |
  `java.lang.String` | `getCommValue()` |
  `java.lang.String` | `getContract()` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getContractId()` |
  `int` | `getContractPackageId()` |
  `java.math.BigDecimal` | `getCost()` |
  `java.util.Date` | `getDate()` |
  `java.util.Date` | `getDateClose()` |
  `int` | `getId()` |
  `java.util.Date` | `getLastMessageDate()` |
  `int` | `getMessageCount()` |
  `int` | `getMessageNewManagerCount()` |
  `int` | `getMessageNewUserCount()` |
  `java.util.List<Message>` | `getMessages()` |
  `long` | `getSecondsFromLastMessage()` |
  `int` | `getStatus()` |
  `int` | `getSubcategoryId()` |
  `java.lang.String` | `getTitle()` |
  `int` | `getUserId()` |
  `java.lang.String` | `getUserName()` |
  `boolean` | `isAutoClose()` |
  `boolean` | `isClosed()` |
  `void` | `setAutoClose​(boolean autoClose)` |
  `void` | `setCategoryId​(int categoryId)` |
  `void` | `setChargeId​(int chargeId)` |
  `void` | `setClosed​(boolean closed)` |
  `void` | `setComm​(int comm)` |
  `void` | `setCommValue​(java.lang.String commValue)` |
  `void` | `setContract​(java.lang.String contract)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractPackageId​(int contractPackageId)` |
  `void` | `setCost​(java.math.BigDecimal cost)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setDateClose​(java.util.Date dateClose)` |
  `void` | `setId​(int id)` |
  `void` | `setLastMessageDate​(java.util.Date date)` |
  `void` | `setMessageCount​(int messageCount)` |
  `void` | `setMessageNewManagerCount​(int messageNewManagerCount)` |
  `void` | `setMessageNewUserCount​(int messageNewUserCount)` |
  `void` | `setStatus​(int status)` |
  `void` | `setSubcategoryId​(int subcategoryId)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setUserName​(java.lang.String userName)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### commPrefix

    public static java.lang.String[] commPrefix

- ## Constructor Details

  - ### Topic

    public Topic()

- ## Method Details

  - ### isAutoClose

    public boolean isAutoClose()

  - ### setAutoClose

    public void setAutoClose​(boolean autoClose)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getChargeId

    public int getChargeId()

  - ### setChargeId

    public void setChargeId​(int chargeId)

  - ### getCost

    public java.math.BigDecimal getCost()

  - ### setCost

    public void setCost​(java.math.BigDecimal cost)

  - ### isClosed

    public boolean isClosed()

  - ### setClosed

    public void setClosed​(boolean closed)

  - ### getComm

    public int getComm()

  - ### setComm

    public void setComm​(int comm)

  - ### getCommValue

    public java.lang.String getCommValue()

  - ### setCommValue

    public void setCommValue​(java.lang.String commValue)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getDateClose

    public java.util.Date getDateClose()

  - ### setDateClose

    public void setDateClose​(java.util.Date dateClose)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getMessages

    public java.util.List<Message> getMessages()

  - ### getContract

    public java.lang.String getContract()

  - ### setContract

    public void setContract​(java.lang.String contract)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getUserName

    public java.lang.String getUserName()

  - ### setUserName

    public void setUserName​(java.lang.String userName)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getContractPackageId

    public int getContractPackageId()

  - ### setContractPackageId

    public void setContractPackageId​(int contractPackageId)

  - ### getMessageCount

    public int getMessageCount()

  - ### setMessageCount

    public void setMessageCount​(int messageCount)

  - ### getMessageNewManagerCount

    public int getMessageNewManagerCount()

  - ### setMessageNewManagerCount

    public void setMessageNewManagerCount​(int messageNewManagerCount)

  - ### getMessageNewUserCount

    public int getMessageNewUserCount()

  - ### setMessageNewUserCount

    public void setMessageNewUserCount​(int messageNewUserCount)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### setLastMessageDate

    public void setLastMessageDate​(java.util.Date date)

  - ### getLastMessageDate

    public java.util.Date getLastMessageDate()

  - ### setCategoryId

    public void setCategoryId​(int categoryId)

  - ### getCategoryId

    public int getCategoryId()

  - ### setSubcategoryId

    public void setSubcategoryId​(int subcategoryId)

  - ### getSubcategoryId

    public int getSubcategoryId()

  - ### getSecondsFromLastMessage

    public long getSecondsFromLastMessage()